#include <gear/camera.h>
#include <gear/memory.h>
#include <log.c/log.h>

g_camera* g_camera_create(vec3 position, vec3 rotation, float fov) {
    g_camera* camera = g_mem_calloc_named("Camera", sizeof(g_camera));
    camera->position = position;
    camera->rotation = rotation;
    camera->fov = fov;
    camera->near = 0.1f;
    camera->far = 1000.0f;

    return camera;
}
